Package net.md_5.bungee.protocol.packet

# Class ScoreboardObjective

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.ScoreboardObjective

public class ScoreboardObjective extends DefinedPacket

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ScoreboardObjective.HealthDisplay`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScoreboardObjective()`
  `ScoreboardObjective(String name, Either<String,net.md_5.bungee.api.chat.BaseComponent> value, ScoreboardObjective.HealthDisplay type, byte action, NumberFormat numberFormat)`
  Creates a new `ScoreboardObjective` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `byte`
  `getAction()`
  0 to create, 1 to remove, 2 to update display text.
  `String`
  `getName()`
  `NumberFormat`
  `getNumberFormat()`
  `ScoreboardObjective.HealthDisplay`
  `getType()`
  `Either<String,net.md_5.bungee.api.chat.BaseComponent>`
  `getValue()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `void`
  `read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`
  `void`
  `setAction(byte action)`
  0 to create, 1 to remove, 2 to update display text.
  `void`
  `setName(String name)`
  `void`
  `setNumberFormat(NumberFormat numberFormat)`
  `void`
  `setType(ScoreboardObjective.HealthDisplay type)`
  `void`
  `setValue(Either<String,net.md_5.bungee.api.chat.BaseComponent> value)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScoreboardObjective

    public ScoreboardObjective()

  - ### ScoreboardObjective

    public ScoreboardObjective(String name, Either<String,net.md_5.bungee.api.chat.BaseComponent> value, ScoreboardObjective.HealthDisplay type, byte action, NumberFormat numberFormat)
    Creates a new `ScoreboardObjective` instance.
    Parameters:
      `name` -
      `value` -
      `type` -
      `action` - 0 to create, 1 to remove, 2 to update display text.
      `numberFormat` -

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getName

    public String getName()

  - ### getValue

    public Either<String,net.md_5.bungee.api.chat.BaseComponent> getValue()

  - ### getType

    public ScoreboardObjective.HealthDisplay getType()

  - ### getAction

    public byte getAction()
    0 to create, 1 to remove, 2 to update display text.

  - ### getNumberFormat

    public NumberFormat getNumberFormat()

  - ### setName

    public void setName(String name)

  - ### setValue

    public void setValue(Either<String,net.md_5.bungee.api.chat.BaseComponent> value)

  - ### setType

    public void setType(ScoreboardObjective.HealthDisplay type)

  - ### setAction

    public void setAction(byte action)
    0 to create, 1 to remove, 2 to update display text.

  - ### setNumberFormat

    public void setNumberFormat(NumberFormat numberFormat)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`